using System.ComponentModel;
using System.Drawing;

namespace FastReport.Dialog
{
    partial class GridControl
    {
        #region Properties
        /// <summary>
        /// This property is not relevant to this class.
        /// </summary>
        [Browsable(false)]
        public override Color BackColor
        {
            get { return base.BackColor; }
            set { base.BackColor = value; }
        }

        /// <summary>
        /// This property is not relevant to this class.
        /// </summary>
        [Browsable(false)]
        public override Color ForeColor
        {
            get { return base.ForeColor; }
            set { base.ForeColor = value; }
        }

        /// <summary>
        /// This property is not relevant to this class.
        /// </summary>
        [Browsable(false)]
        public override string Text
        {
            get { return base.Text; }
            set { base.Text = value; }
        }
        #endregion

        #region Private Methods
        private bool ShouldSerializeBackgroundColor()
        {
            return BackgroundColor != SystemColors.AppWorkspace;
        }

        private bool ShouldSerializeGridColor()
        {
            return GridColor != SystemColors.ControlDark;
        }
        #endregion

        #region Public Methods

        /// <inheritdoc/>
        public override ContextMenuBase GetContextMenu()
        {
            return new GridControlMenu(Report.Designer);
        }
        #endregion
    }
}
